package com.ruoyi.system.service;

import com.ruoyi.system.mapper.SysrealtimeMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SysrealtimeService {

    @Resource
    public SysrealtimeMapper sysrealtimeMapper;

    public void createrealtime(String tableName){
        sysrealtimeMapper.createrealtime(tableName);
    }
    public List<String> selecttables(){
        return sysrealtimeMapper.selecttables();
    }
    public void inserttables(String tableName,String createTime,String deviceId,String timestamp,String k,Object v){
        sysrealtimeMapper.inserttables(tableName, createTime, deviceId, timestamp, k, v);
    }
    public void updatetables(String tableName,String createTime,Object v,String timestamp,String k,String deviceId){
        sysrealtimeMapper.updatetables(tableName, createTime, v, timestamp, k, deviceId);
    }

    public Integer selectkey(String tableName,String k){
        return sysrealtimeMapper.selectkey(tableName, k);
    }

}
